Skip to main content
GET
/
conversion
/
stablecoins
List Stablecoin Conversions
curl --request GET \
  --url https://api.paxos.com/v2/conversion/stablecoins \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "account_id": "00000000-0000-0000-0000-000000000000",
      "amount": "100.01",
      "created_at": "2023-09-16T02:01:15.941902Z",
      "id": "38a2c6b4-167c-4c98-a190-406efc4121aa",
      "identity_id": "00000000-0000-0000-0000-000000000000",
      "metadata": {
        "skey": "svalue"
      },
      "profile_id": "b821ff88-fdb4-49ba-b30f-99c40f01fcfc",
      "ref_id": "497266c5214043a29f9854096e9a9103",
      "settled_at": "2023-09-16T02:01:16.613995Z",
      "source_asset": "USD",
      "status": "SETTLED",
      "target_asset": "USDP",
      "updated_at": "2023-09-16T02:01:16.018493Z"
    },
    {
      "account_id": "00000000-0000-0000-0000-000000000000",
      "amount": "100.01",
      "created_at": "2023-09-16T03:34:50.555200Z",
      "id": "a490536f-3842-4823-8c84-056728243064",
      "identity_id": "00000000-0000-0000-0000-000000000000",
      "metadata": {
        "skey": "svalue"
      },
      "profile_id": "b821ff88-fdb4-49ba-b30f-99c40f01fcfc",
      "ref_id": "4fecc881b73744e4a4e858017689da7d",
      "settled_at": "2023-09-16T03:34:51.060002Z",
      "source_asset": "USD",
      "status": "SETTLED",
      "target_asset": "USDP",
      "updated_at": "2023-09-16T03:34:50.610541Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paxos.com/llms.txt

Use this file to discover all available pages before exploring further.

The Orchestrations API replaces this endpoint.New customers should use List Orchestrations instead. Existing customers should follow the migration guide.
OAuth Scope
conversion:read_conversion_stablecoin

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_id
string

The Profile associated with a conversion. Required in the Create Stablecoin Conversion request.

ref_id
string

Client provided, unique Reference ID included the Create Stablecoin Conversion request.

created_at.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order by created_at timestamp.

Default order is descending (DESC).

Available options:
DESC,
ASC
page_cursor
string

Cursor token for fetching the next page.

limit
integer<int32>

Number of results to return.

Default is 100 items. Maximum is 1000 items.

Response

A successful response.

items
object[]
next_page_cursor
string

Cursor token required for fetching the next page.